%global momorel 2

%ifarch x86_64
# FIXME: /usr/lib/rpm/brp-strip-static-archive is not work...
%define __os_install_post    /usr/lib/rpm/momonga/brp-compress /usr/lib/rpm/momonga/brp-strip /usr/lib/rpm/momonga/brp-strip-shared /usr/lib/rpm/momonga/brp-strip-comment-note /usr/lib/rpm/momonga/modify-init.d /usr/lib/rpm/momonga/modify-la %{nil}
%endif

Summary: A Gtk+ based multiprotocol instant messaging client
Name: pidgin
Version: 2.7.3
Release: %{momorel}m%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://pidgin.im/

#Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source0: http://dl.sourceforge.net/project/pidgin/Pidgin/%{version}/pidgin-%{version}.tar.bz2
NoSource: 0
# http://www.honeyplanet.jp/patch.html
Patch0: http://www.honeyplanet.jp/pidgin-%{version}_jp.diff.gz
NoPatch: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: avahi avahi-glib gtkspell
Requires: NetworkManager enchant
BuildRequires: doxygen
BuildRequires: perl, libao-devel
BuildRequires: gtk+-devel, bison, gettext
BuildRequires: startup-notification-devel
BuildRequires: nspr-devel, nss-devel
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: evolution-data-server-devel >= 1.10.0
BuildRequires: avahi-devel avahi-glib-devel gtkspell-devel
BuildRequires: NetworkManager-devel enchant-devel
BuildRequires: libsilc-devel >= 1.1.10
BuildRequires: perl-ExtUtils-Embed
BuildRequires: farsight2-devel
Requires(pre): hicolor-icon-theme
Requires(post): hicolor-icon-theme
Requires(preun): hicolor-icon-theme
Requires(postun): hicolor-icon-theme
Provides: gaim
Obsoletes: gaim
Obsoletes: gaim-galago

%description
Pidgin allows you to talk to anyone using a variety of messaging
protocols including AIM, MSN, Yahoo!, Jabber, Bonjour, Gadu-Gadu,
ICQ, IRC, Novell Groupwise, QQ, Lotus Sametime, SILC, Simple and
Zephyr.  These protocols are implemented using a modular, easy to
use design.  To use a protocol, just add an account using the
account editor.

Pidgin supports many common features of other clients, as well as many
unique features, such as perl scripting, TCL scripting and C plugins.

Pidgin is not affiliated with or endorsed by America Online, Inc.,
Microsoft Corporation, Yahoo! Inc., or ICQ Inc.

%package devel
Summary: A Gtk+ based multiprotocol instant messaging client
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: gaim-devel
Provides: gaim-devel

%description devel
Gaim is NOT affiliated with or endorsed by AOL.

Gaim allows you to talk to anyone using AOL's
Instant Messenger service (you can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is
stored on AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at
the same time incorporating many new features.

Gaim also contains a multiple connection feature which consists of
protocol plugins.  These plugins allow you to use gaim to connect
to other chat services such as Yahoo!, ICQ, and IRC.

%package -n libpurple
Summary: libpurple library for IM clients like Pidgin and Finch
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n libpurple
libpurple contains the core IM support for IM clients such as Pidgin
and Finch.

libpurple supports a variety of messaging protocols including AIM, MSN,
Yahoo!, Jabber, Bonjour, Gadu-Gadu, ICQ, IRC, Novell Groupwise, QQ,
Lotus Sametime, SILC, Simple and Zephyr.

%package -n libpurple-devel
Summary:    Development headers, documentation, and libraries for libpurple
Group:      Applications/Internet
Requires:   libpurple = %{version}
Requires:   pkgconfig

%description -n libpurple-devel
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple based
instant messaging clients or plugins for any libpurple based client.

%package -n libpurple-bonjour
Summary:    Bonjour plugin for Pidgin
Group:      Applications/Internet
Requires:   libpurple = %{version}

%description -n libpurple-bonjour
Bonjour plugin for Pidgin.

# %package -n libpurple-meanwhile
# Summary:    Lotus Sametime plugin for Pidgin using the Meanwhile library
# Group:      Applications/Internet
# Requires:   libpurple = %{version}

# %description -n libpurple-meanwhile
# Lotus Sametime plugin for Pidgin using the Meanwhile library.

# %package -n libpurple-mono
# Summary:    Mono .NET plugin support for Pidgin
# Group:      Applications/Internet
# Requires:   libpurple = %{version}

# %description -n libpurple-mono
# Mono plugin loader for Pidgin.  This package will allow you to write or
# use Pidgin plugins written in the .NET programming language.

%package -n finch
Summary:    A text-based user interface for Pidgin
Group:      Applications/Internet
Requires:   libpurple = %{version}

%description -n finch
A text-based user interface for using libpurple.  This can be run from a
standard text console or from a terminal within X Windows.  It
uses ncurses and our homegrown gnt library for drawing windows
and text.

%package -n finch-devel
Summary:    Headers etc. for finch stuffs
Group:      Applications/Internet
Requires:   finch = %{version}, libpurple-devel = %{version}
Requires:   pkgconfig

%description -n finch-devel
The finch-devel package contains the header files, developer
documentation, and libraries required for development of Finch scripts
and plugins.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-perl   \
	--disable-mono -with-perl-lib=%{_prefix} \
	--disable-devhelp \
	--disable-meanwhile \
	--program-prefix="" \
	LIBS="-lm"
# prevent from using the build target (=i586-momonga-linux) as the program-prefix

%make
%make docs

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/%{_libdir}/perl5/
find %{buildroot}/%{_libdir}/* -name "*.la" -exec rm {} \;

%find_lang %{name}

find $RPM_BUILD_ROOT%{_libdir}/purple-2 -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v /libbonjour.so | \
        grep -v /libsametime.so | \
        grep -v /mono.so | \
        grep -v ".dll$" > %{name}-%{version}-purpleplugins

find $RPM_BUILD_ROOT%{_libdir}/pidgin -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-pidginplugins

find $RPM_BUILD_ROOT%{_libdir}/finch -xtype f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-finchplugins

# files -f file can only take one filename :(
cat %{name}.lang >> %{name}-%{version}-purpleplugins

find %{buildroot} -name perllocal.pod -exec rm -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 -a -n "`which gconftool-2 2>/dev/null`" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    if [ -f %{_sysconfdir}/gconf/schemas/purple.schemas ]; then
        gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/purple.schemas >/dev/null || :
#        killall -HUP gconfd-2 || :
    fi
fi

%post
if [ -n "`which gconftool-2 2>/dev/null`" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/purple.schemas > /dev/null || :
#    killall -HUP gconfd-2 || :
fi
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%post -n libpurple -p /sbin/ldconfig

%post -n finch -p /sbin/ldconfig

%preun
if [ "$1" -eq 0 -a -n "`which gconftool-2 2>/dev/null`" ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/purple.schemas > /dev/null || :
#    killall -HUP gconfd-2 || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun -n libpurple -p /sbin/ldconfig

%postun -n finch -p /sbin/ldconfig

%files -f %{name}-%{version}-pidginplugins
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* HACKING INSTALL
%doc NEWS README* 
%doc doc/*.txt
%{_bindir}/pidgin*
%dir %{_libdir}/pidgin
%{_datadir}/applications/pidgin.desktop
%{_mandir}/man1/pidgin*.1.*
%{_mandir}/man3/Pidgin.3*
%{_mandir}/man3/Purple.3*
%{_datadir}/pixmaps/pidgin/*
%{_datadir}/icons/hicolor/*/apps/pidgin.*
# %{_datadir}/sounds/pidgin
%{_sysconfdir}/gconf/schemas/purple.schemas

%files devel
%defattr(-, root, root)
%doc COPYING doc/html
%{_includedir}/pidgin
%{_libdir}/pkgconfig/pidgin.pc

%files -n libpurple -f %{name}-%{version}-purpleplugins
%defattr(-, root, root)
%doc libpurple/purple-notifications-example
%{_libdir}/libpurple.so.*
%dir %{_libdir}/purple-2
%{_bindir}/purple-client-example
%{_bindir}/purple-remote
%{_bindir}/purple-send
%{_bindir}/purple-send-async
%{_bindir}/purple-url-handler
%{_libdir}/libpurple-client.so.*
# %attr(755, root, root) %{perl_vendorarch}/Purple.pm
# %attr(755, root, root) %{perl_vendorarch}/auto/Purple
# %{_datadir}/pixmaps/purple
%{_datadir}/sounds/purple/
%{_datadir}/purple/ca-certs/

%files -n libpurple-devel
%defattr(-, root, root)
%doc ChangeLog.API HACKING PLUGIN_HOWTO 
%dir %{_includedir}/libpurple
%{_includedir}/libpurple/*.h
%dir %{_includedir}/libpurple/media
%{_includedir}/libpurple/media/*.h
%{_libdir}/libpurple.so
%{_libdir}/pkgconfig/purple.pc
%{_datadir}/aclocal/purple.m4
%{_libdir}/libpurple-client.so

%files -n libpurple-bonjour
%defattr(-, root, root)
%{_libdir}/purple-2/libbonjour.*

# %files -n libpurple-meanwhile
# %defattr(-, root, root)
# %{_libdir}/purple-2/libsametime.*

# %files libpurple-mono
# %defattr(-, root, root)
# %{_libdir}/purple-2/mono.so
# %{_libdir}/purple-2/*.dll

%files -n finch -f %{name}-%{version}-finchplugins 
%defattr(-, root, root)
%doc %{_mandir}/man1/finch.*
%{_bindir}/finch
%{_libdir}/libgnt.so.*
%dir %{_libdir}/finch
%dir %{_libdir}/gnt
%{_libdir}/gnt/*.so

%files -n finch-devel
%defattr(-, root, root)
%dir %{_includedir}/finch
%{_includedir}/finch/*.h
# libgnt
%dir %{_includedir}/gnt
%{_includedir}/gnt/*.h
%{_libdir}/pkgconfig/gnt.pc
%{_libdir}/pkgconfig/finch.pc
%{_libdir}/libgnt.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7.3-2m)
- full rebuild for mo7 release

* Fri Aug 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.7.3-1m)
- [SECURITY] CVE-2010-2528
- update to 2.7.3

* Fri Jul 30 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.2-1m)
- [SECURITY] CVE-2010-2528
- update 2.7.2

* Tue Jul 27 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.1-3m)
- fix build

* Sun Jul 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.7.1-2m)
- rebuild against libsilc-1.1.10

* Thu Jun 17 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.7.1-1m)
- update 2.7.1

* Thu May 27 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.7.0-1m)
- [SECURITY] CVE-2010-1624
- update to 2.7.0

* Tue May 18 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.6.6-3m)
- add BuildRequires

* Sun Mar 28 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-2m)
- modify __os_install_post for new momonga-rpmmacros

* Wed Mar 17 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.6-1m)
- [SECURITY] CVE-2010-0277 CVE-2010-0420 CVE-2010-0423
- update to 2.6.6

* Thu Jan 14 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.5-1m)
- [SECURITY] CVE-2010-0013
- update 2.6.5

* Wed Dec 30 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.4-1m)
- update 2.6.4

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.3-1m)
- [SECURITY] CVE-2009-3615
- update to 2.6.3

* Thu Sep 10 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.6.2-1m)
- [SECURITY] CVE-2009-2703 CVE-2009-3083 CVE-2009-3084 CVE-2009-3085
- update to 2.6.2

* Wed Aug 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.1-1m)
- [SECURITY] CVE-2009-3025 CVE-2009-3026
- update to 2.6.1

* Wed Aug 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.9-1m)
- [SECURITY] CVE-2009-2694
- update to 2.5.9 for mo6+

* Wed Jul  1 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.8-1m)
- [SECURITY] CVE-2009-1889
- update 2.5.8

* Sun Jun 21 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.7-1m)
- update 2.5.7

* Sun May 31 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.6-2m)
- add 2.5.6-jp patch

* Thu May 21 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.6-1m)
- [SECURITY] CVE-2009-1373 CVE-2009-1374 CVE-2009-1375 CVE-2009-1376
- update 2.5.6

* Sun Mar  8 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.5.5-2m)
- fix BuildPreReq

* Sat Mar  7 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.5-1m)
- update 2.5.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.4-2m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.4-1m)
- update 2.5.4

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.5.3-2m)
- rebuild against python-2.6.1-2m

* Wed Dec 24 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.3-1m)
- update 2.5.3

* Tue Oct 21 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.2-1m)
- update 2.5.2

* Wed Sep 10 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.1-1m)
- update 2.5.1

* Thu Aug 28 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.5.0-1m)
- [SECURITY] CVE 2008-2957 CVE-2008-3532
- update 2.5.0

* Wed Jul 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.3-3m)
- rebuild against libsilc-1.1.7

* Tue Jul 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.3-2m)
- rebuild against gnutls-2.4.1

* Sat Jul  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.3-1m)
- [SECURITY] CVE-2008-2927 CVE-2008-2955
- update 2.4.3

* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-3m)
- add Prereq: hicolor-icon-theme

* Sat May 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-2m)
- add BPR gtkspell-devel avahi-glib-devel NetworkManager-devel

* Tue May 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-1m)
- update 2.4.2

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.1-3m)
- rebuild against Tcl/Tk 8.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.1-2m)
- rebuild against gcc43

* Wed Apr  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.1-1m)
- update 2.4.1

* Thu Mar 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.0-2m)
- BPR avahi-devel

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.0-1m)
- update 2.4.0
- add jp patch

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-2m)
- %%NoSource -> NoSource

* Tue Nov 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.0-1m)
- update 2.3.0

* Tue Oct 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.2-1m)
- update 2.2.2
-- fix CVE-2007-4999

* Tue Oct  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.1-1m)
- update 2.2.1
-- fix CVE-2007-4996

* Sun Sep 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.0-1m)
- update 2.2.0

* Tue Aug 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.1-1m)
- update 2.1.1

* Tue Aug 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.0-1m)
- update 2.1.0
- but no japanese patch

* Fri Jul 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.2-3m)
- fix %%pre, %%post and %%preun scripts

* Wed Jun 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-2m)
- update japanese-patch

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-1m)
- update 2.0.2

* Fri Jun  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-2m)
- add patch
-- http://www.honeyplanet.jp/patch.html

* Thu Jun  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-1m)
- update 2.0.1

* Mon May  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-2m)
- fix duplicate files
- Obsoletes: gaim-galago
-- gaim-galago unsupport pidgin

* Mon May  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-1m)
- rename pidgin
- update 2.0.0

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-0.4.4m)
- rebuild against evolution-data-server-1.10.0
- revise version and release

* Sat Dec 23 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.0beta4-3m)
- use nspr-devel and nss-devel instead of mozilla-devel
-- mozilla-psm is no longer required

* Wed Dec 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0beta4-2m)
- fix %%file section

* Tue Dec 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0beta4-1m)
- update 2.0.0beta4

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.5.0-8m)
- rebuild against gnutls-1.4.4-1m

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-7m)
- rebuild against evolution-data-server-1.8.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.5.0-6m)
- rebuild against expat-2.0.0-1m

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-5m)
- delete duplicated dir

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-4m)
- rebuild against evolution-data-server 1.6.0

* Sat Feb 25 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.0-3m)
- build with new nspr/nss

* Wed Jan  4 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.0-2m)
- rebuild against evolution-data-server

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.5.0-1m)
- up to 1.5.0
- CAN-2005-2102, CAN-2005-2103

* Mon Aug  1 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- up to 1.4.0
- [SECURITY] CAN-2005-2370

* Thu May 19 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.3.0-1m)
- update to 1.3.0
- many bug fixes and many security fixes
-  long URL crash fix CAN-2005-1261
-  MSN bad messages crash fix CAN-2005-1262
-  drag-n-drop URL crash fix
-  CAN-2005-0965 CAN-2005-0966 CAN-2005-0967

* Thu Mar 24 2005 YAMAZAKI Makoto <zaki@zakky.org>
- (1.2.0-1m)
- updated to 1.2.0

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.2-4m)
- enable x86_64.

* Tue Dec 28 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.2-3m)
- add Requires mozilla-psm

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.2-2m)
- rebuild against mozilla-1.7.5

* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Sun Sep 19 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.0-2m)
- change mozilla_ver

* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.0-1m)
- update to 1.0.0

* Tue Aug 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.82.1-1m)
- major security fixes and major bugfixes

* Mon Aug 23 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (0.81-1m)
- ver up
- remove --enable-screensaver option. Because configure autodetects it.

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.77-4m)
- rebuild against mozilla-1.7.2

* Mon Jul 18 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (0.77-3m)
- rebuild against mozilla 1.7

* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.77-2m)
- rebuild against tcl,tk

* Sat May 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.77-1m)
- update to 0.77

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.74-4m)
- change docdir %%defattr

* Thu Jan 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.74-3m)
- rebuild against mozilla-1.6

* Wed Dec 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.74-2m)
- sepalate devel package.
- modify dependencies.

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.74-1m)
- update to 0.74

* Fri Oct 31 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.71-3m)
- add -Wl,-rpath,%{_libdir}/mozilla-%{mozilla_ver}  for libnss3.so

* Thu Oct 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.71-2m)
- add jp patch
- enable nss

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.71-1m)
- version 0.71

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.68-1m)
- version 0.68

* Sat Jun 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.64-1m)
- version 0.64

* Mon Apr  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.60-1m)
- update to 0.60

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.59.8-2m)
- rebuild against for XFree86-4.3.0

* Thu Feb 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.59.8-1m)
- update to 0.59.8

* Sun Sep 15 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.3-1m)
- version up

* Mon Sep 02 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.1-2m)
- unapply euc2 patch to fix build error

* Wed Aug 28 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (0.59.1-1m)
- version udpate
- unapply ja.patch and Makefile.patch to fix compilation errors

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.56-4k)
- cancel gcc-3.1 autoconf-2.53

* Tue May 28 2002 Toru Hoshina <t@kondara.org>
- (0.56-2k)
- force autoconf-old.

* Wed Apr 24 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.56-1k)
- kondarize

* Tue Apr 23 2002 Ryosuke Kutsuna <ryosuke@cool.email.ne.jp>
- Add Japanese Message catalog.

* Thu Apr 11 2002 Rob Flynn <rob@marko.net (0.56 release)
- German translation update (Thanks Karsten Weiss)
- Shell-like send history binded to Ctrl-Up and Ctrl-Down
- Russian Translation Updated (thanks Grigory Bakunov)
- libjabber upgraded to most recent stable version
- Buddylist looks a little better
- Fixed MSN privacy settings
- Group deletion fix (Thanks Mark Doliner)
- Alias/Group syncronization for Jabber (Thanks JSeymour)
- Fixed broken signal handling in gdm-started GNOME sessions (Thanks Jim Seymour, Vann, Robert McQueen)

* Fri Mar 29 2002 Rob Flynn <rob@marko.net> (0.55 release)
- Jabber improvements (Thanks Jim Seymour)
- Various sound cleanups (Thanks Robert McQueen)
- Login process shown in single window (Thanks Michael Golden)
- Can reorder your accounts in the account editor (Thanks Luke Schierer)
- Updated Dutch translation
- Shows "mobile" icon for Oscar buddies using mobile devices (Thanks Mark Doliner)
- Fixed bug in MSN smilies that crashed PPC (and other?) platforms
- Updated Polish Translation (Thanks Przemyslaw Sulek)
- Updated Spanish Translation (Thanks Amaya)
- Updated French translation
- Updated Finnish translation (Thanks Tero Kuusela)
- HTTP Proxy settings now HTTP compliant (Thanks Robert McQueen)
- Speling corections (Thanks Tero Kuusela)
- Oscar list icon fixes (Thanks Mark Doliner)
- Oscar idle times work again (Thanks Mark Doliner)
- Protocol icons on Edit Buddies tab (Thanks Christian Hammond)

* Thu Mar 14 2002 Rob Flynn <rob@marko.net> (0.54 release)
- Compiles without GdkPixbuf again
- GtkIMHtml will refresh when you set a new GTK+ theme
- Improved Yahoo! typing notification (thanks Brian Macke)
- Prompt to authorize MSN buddies who added you while you were offline (Thanks Jason Willis)
- Option to globally disable Buddy Icon animation (Thanks Luke Schierer)
- Numerous bugfixes
- Yahoo! will tell you when your buddies are playing Yahoo! games and give you the ability to join them
- Yahoo! can receive offline messages
- IRC can do DCC chat.
- IRC will convert HTML formatting to mIRC formatting.
- Buddylist tab placement option (Thanks Jason Willis)
- Protocol specific smiley faces
- Italian translation added
- IM Image sending

* Fri Feb 28 2002 Rob Flynn <rob@marko.net> (0.53 release)
- Updated Polish Translation (thanks Przemyslaw Sulek)
- Slovak translation added (Thanks Daniel Rezny)
- Minor bug fixes re: queued away messages
- Better buddy icon transparency (for real this time ;-))
- Ability to change formatting of Oscar screen name
- Better selection in HTML widget (Thanks BMiller)
- New icons for ICQ (Thanks Kevin Miller)
- Editable buddy pounces (Thanks Jason Willis)
- Server side buddy lists in Oscar (Thanks KingAnt :-))
- Fix for the chatlist plugin
- Typing Notification (AIM Direct Connect, Yahoo, MSN)
- IM Images (Receive Only)
- Prettier GtkImHtml selection

* Sun Feb 17 2002 Rob Flynn <rob@marko.net> (0.52 release)
- Better buddy icon transparency (thanks SeanEgan)
- Updated Polish Translation (thanks Przemyslaw Sulek)
- Fixed a little bug with connecting via proxy (thanks for reminding me of this, Manish Singh)
- Updated Simplified Chinese Translation (Thanks Rocky S. Lee)
- Updated German Translation (Thanks Karsten Weiss)
- Yahoo! Messenger works again
- MSN Works again
- Can register a new user with a Jabber Server (JSeymour)
- Can now set Jabber vCards (JSeymour)
- Jabber vCards are now shown in their entirety (JSeymour)
- Various jabber bug fixes/enhancements (JSeymour)

* Thu Jan 24 2002 Rob Flynn <rob@marko.net> (0.51 release)
- Arrow buttons in log viewer and some other dialogs work (thanks Ben Miller)
- Option to only send auto-response while idle (thanks Sean Egan)
- Control time between sending auto-responses (thanks Mark Doliner)
- Should be able to sign on to Oscar using Mac OS X (thanks Fingolfin, Vincas Ciziunas, et al.)
- Finnish translation added (Thanks Tero Kuusela)
- Updated French Translation (Thanks sebfrance)

* Thu Dec 13 2001 Rob Flynn <rob@marko.net> (0.50 release)
- Updated polish translation (Thanks Przemyslaw Sulek)
- Able to import GnomeICU contact lists
- Galeon as browser option (Thanks Rob McQueen)
- IRC /list, /invite (Thanks Sean Egan)
- Added swedish translation (Thanks Christian Rose)
- Option to have IMs and Chats tabbed in same window
- Finally put the lagmeter plugin out of its misery and removed it. (/me dances on its grave.)

* Thu Nov 29 2001 Rob Flynn <rob@marko.net> (0.49 release)
- Can compile against GTK+ 2.0 (version 1.3.10/1.3.11)
- Confirm before removing buddies
- Updated Russian translation (thanks Grigory Bakunov)
- Updated Korean translation (thanks Ho-seok Lee, also for resized ICQ icons)
- Updated Dutch translation (thanks Floris Eshuis)
- Yahoo updates (thanks Brian Macke)
- Jabber updates
- Zephyr updates (thanks Arun A Tharuvai)
- Gadu-Gadu updates (thanks Arkadiusz Miskiewicz)
- Option to show aliases in conversation tabs
- Option to hide windows after sending messages
- licq2gaim.pl conversion script (thanks Arturo Cisneros, Jr.)

* Thu Nov 18 2001 Rob Flynn <rob@marko.net> (0.48 release)
- Right-click on links to open/copy URL
- Yahoo changes
- Oscar can send/receive offline messages in ICQ. Since the "real" ICQ protocol isn't working too well it's recommended that you use Oscar for ICQ.

* Thu Nov 01 2001 Rob Flynn <rob@marko.net> (0.47 release)
- Better font loading (pays attention to charset now) (thanks Arkadiusz Miskiewicz)
- Better recoding in Gadu-Gadu (thanks Arkadiusz Miskiewicz)
- Open Mail button for when you get new mail (Yahoo and MSN)
- New buddy pounce option: Popup Notification
- When adding a buddy, the groups list now updates when you switch accounts.
- When creating a new buddy pounce, gaim now automagically selects "on away" or "on idle", if the user is away or idle.
- Add Opera to the available browsers (thanks Brian Enigma)
- Improved log viewer (thanks to Ben Miller)
- When you are queueing away messages, double clicking on a buddy's name will cause the messages for that name to be dequeued.
- You can choose which sound player you use at run-time (thanks Ben Miller)
- When someone adds you to their buddy list, it asks if you want to add them as well (Yahoo, ICQ, and MSN) (thanks Nathan Walp)
- Option to grey idle buddies (thanks Nathan Walp)
- MSN Privacy Options
- In MSN you can set a person's alias to their "friendly name" by right-click on their name while they're online.
- IRC can do /WHOIS
- The usual bug fixes and memory leak plugs
- Added Dutch translation
- Updated Korean translation

* Thu Oct 18 2001 Rob Flynn <rob@marko.net> (0.46 release)
- New applet icons (courtesy David Raeman)
- ICQ works on big-endian platforms, e.g. sparc and ppc (thanks to Nathan Walp and Ben Miller)
- Better applet icon drawing (thanks to Ari Pollak)
- An extraordinary number of bug fixes
- Updated Korean translation
- Ability to stop animation on buddy icons, restart animation, hide certain buddy icons, and save people's buddy icons, all through a right-click menu
- Event handlers in perl passed arguments as elements of an array rather than all concatenated as a string, making perl much easier to use (thanks Dennis Lambe Jr.)
- Can pass an argument to timeout_handlers in perl (thanks Artem Litvinovich)
- Redesigned Modify Account window (thanks Sean Egan)
- Add buddy dialog now lets you select which protocol to add the buddy to
- Pressing 'signon' on the first screen for accounts that do not require passwords no longer incorrectly displays an error message.

* Thu Oct 04 2001 Rob Flynn <rob@marko.net> (0.45 release)
- New plugin event: event_chat_send_invite
- Major updates to the perl system (reread PERL-HOWTO and SIGNALS)
- Major updates to event_chat_* events for plugins (reread SIGNALS)
- Some GtkIMHtml improvements
- Various bugfixes
- Nick Highlighting in chat
- Tab-completion for nicks in chat (thanks to Sean Egan)
- Large internal reworkings
- New Protocol: Gadu-Gadu, written by Arkadiusz Miskiewicz
- Can choose buddy icon to send (for Oscar)
- New Translation: Polish translation by Przemysaw Suek

* Thu Sep 20 2001 Rob Flynn <rob@marko.net> (0.44 release)
- More sane scaling of buddy icons (intelligently scale to either 48x48 or 50x50 depending on icon)
- Have you ever had it happen where you cancel a login and Gaim starts using all the available processing power? I think I fixed that.
- Temporarily removed Jabber user registration, which wasn't working anyway.
- Added a spiffy Help button
- Wrote a plugin for all those people who miss having the chat rooms in their buddy lists (chatlist.so)
- Updated libfaim
- Added drop down selection to chat invitation
- Improved the look of the chat invitation dialog
- Improved the look of the proxy preferences
- event_im_recv and event_im_display_rcvd passed whether the message received was auto-response (see SIGNALS)
- IRC fixes (largly copied from X-Chat)
- Internal change to how preferences are stored
- Other bug fixes
- Option to hide buddy icons

* Thu Sep 06 2001 Rob Flynn <rob@marko.net> (0.43 release)
- Updated German Translation (thanks Daniel Seifert)
- Can change friendly name in MSN again
- Bug fixes
- Auto-reconnect plugin has exponential timeout (i.e. it tries after 8 seconds, then 16, then 32, etc. up to 17 minutes)
- Removed file transfer things from Napster. It didn't work well anyway. It'll be back eventually. (Does anyone even use napster anymore?)
